unit uViewArticulosPendientes;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, uViewGrid, cxGraphics, cxControls, cxLookAndFeels,
  cxLookAndFeelPainters, cxStyles, cxCustomData, cxFilter, cxData,
  cxDataStorage, cxEdit, DB, cxDBData, dxPSGlbl, dxPSUtl, dxPSEngn, dxPrnPg,
  dxBkgnd, dxWrap, dxPrnDev, dxPSCompsProvider, dxPSFillPatterns,
  dxPSEdgePatterns, dxPSPDFExportCore, dxPSPDFExport, cxDrawTextUtils,
  dxPSPrVwStd, dxPSPrVwAdv, dxPScxEditorProducers, dxPScxExtEditorProducers,
  dxPScxPageControlProducer, cxGridCustomPopupMenu, cxGridPopupMenu, ImgList,
  PngImageList, ActnList, dxPSCore, dxPScxCommon, dxPScxGrid6Lnk, uDAInterfaces,
  uDADataTable, TB2Item, SpTBXItem, TB2Toolbar, TB2Dock, SpTBXDkPanels,
  uCustomView, uViewBase, uViewFiltroBase, cxGridLevel, cxGridCustomTableView,
  cxGridTableView, cxGridDBTableView, cxClasses, cxGridCustomView, cxGrid,
  uBizPedidosCliente;

type
  IViewArticulosPendientes = interface(IViewGrid)
  ['{0BC7A87F-A443-4A7D-9459-89FCCA8DF858}']
    function GetArticulosPendientes: IBizArticulosPendientes;
    procedure SetArticulosPendientes(const Value: IBizArticulosPendientes);
    property ArticulosPendientes: IBizArticulosPendientes read GetArticulosPendientes write SetArticulosPendientes;
  end;

  TfrViewArticulosPendientes = class(TfrViewGrid, IViewArticulosPendientes)
    cxGridViewID_ARTICULO: TcxGridDBColumn;
    cxGridViewREFERENCIA: TcxGridDBColumn;
    cxGridViewDESCRIPCION: TcxGridDBColumn;
    cxGridViewCOLOR1: TcxGridDBColumn;
    cxGridViewCOLOR2: TcxGridDBColumn;
    cxGridViewCOLOR3: TcxGridDBColumn;
    cxGridViewCOLOR4: TcxGridDBColumn;
    cxGridViewCOLOR5: TcxGridDBColumn;
    cxGridViewCOLOR6: TcxGridDBColumn;
    cxGridViewCOLOR7: TcxGridDBColumn;
    cxGridViewCOLOR8: TcxGridDBColumn;
    cxGridViewCOLOR9: TcxGridDBColumn;
    cxGridViewCOLOR10: TcxGridDBColumn;
    cxGridViewCOLOR11: TcxGridDBColumn;
    cxGridViewCOLOR12: TcxGridDBColumn;
    cxGridViewTOTAL: TcxGridDBColumn;
  private
    FArticulosPendientes: IBizArticulosPendientes;  
    function GetArticulosPendientes: IBizArticulosPendientes;
    procedure SetArticulosPendientes(const Value: IBizArticulosPendientes);
  public
    property ArticulosPendientes: IBizArticulosPendientes read GetArticulosPendientes write SetArticulosPendientes;
  end;

var
  frViewArticulosPendientes: TfrViewArticulosPendientes;

implementation

{$R *.dfm}

{ TfrViewArticulosPendientes }

function TfrViewArticulosPendientes.GetArticulosPendientes: IBizArticulosPendientes;
begin
  Result := FArticulosPendientes;
end;

procedure TfrViewArticulosPendientes.SetArticulosPendientes(const Value: IBizArticulosPendientes);
begin
  FArticulosPendientes := Value;
  if Assigned(FArticulosPendientes) then
    dsDataSource.DataTable := FArticulosPendientes.DataTable;
end;

end.
